Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 07-04-2019 20:56:09

gtalbot
Membre
Lieu : Sherbrooke QC Canada
Distrib. : Debian (buster) 10.1, 64bits
Noyau : 4.19.0-6-amd64
(G)UI : KDE Plasma
Inscription : 26-09-2017

[Résolu] paquet icedtea-netx en conflit avec openjdk-6-jre

Bonjour,

Depuis plusieurs semaines, mon gestionnaire de paquets me signale

1 pouvant être mis à jour

mais quand j'essaie de faire une mise à niveau, une fenêtre modale indique

Impossible de marquer les mises à jour. Certaines mises à jour risquent de
présenter des dépendances impossibles à satisfaire pour le moment ou peuvent
avoir été manuellement empêchées.



Voici les informations que retournent mon terminal (Konsole):

apt update
Atteint:1 http://security.debian.org/debian-security stretch/updates InRelease
Atteint:2 http://security.debian.org stretch/updates InRelease                                                      
Atteint:3 http://deb.debian.org/debian stretch-backports InRelease                                                  
Ign:4 http://ftp.ca.debian.org/debian stretch InRelease                                          
Atteint:5 http://ftp.ca.debian.org/debian stretch-updates InRelease
Atteint:6 http://ftp.ca.debian.org/debian stretch-proposed-updates InRelease
Atteint:7 http://ftp.ca.debian.org/debian stretch Release      
Lecture des listes de paquets... Fait                          
Construction de l'arbre des dépendances      
Lecture des informations d'
état... Fait
1 package can be upgraded. Run 'apt list --upgradable' to see it.



apt list --upgradable
En train de lister... Fait
icedtea-netx/proposed-updates 1.6.2-3.1+deb9u1 amd64 [upgradable from: 1.6.2-3.1]
N: There is 1 additional version. Please use the '-a' switch to see it



$ cat /etc/apt/sources.list
# Debian stretch, dépôt Canada
deb http://ftp.ca.debian.org/debian/ stretch main contrib
deb-src http://ftp.ca.debian.org/debian/ stretch main contrib

# Debian stretch, mises à jour de sécurité
deb http://security.debian.org/debian-security stretch/updates main contrib
deb-src http://security.debian.org/debian-security stretch/updates main contrib

# Debian stretch, mises à jour "volatiles"
deb http://ftp.ca.debian.org/debian/ stretch-updates main contrib
deb-src http://ftp.ca.debian.org/debian/ stretch-updates main contrib

# Les plus récentes mises à jour de sécurité
deb http://security.debian.org/ stretch/updates main contrib

deb http://ftp.ca.debian.org/debian/ stretch-proposed-updates main contrib

# Debian stretch, dépôt de rétroportages ("backports")
deb http://deb.debian.org/debian stretch-backports main contrib



 dmesg
(...)
[46595.500026] blk_update_request: I/O error, dev fd0, sector 0
(...)
[46595.528023] blk_update_request: I/O error, dev fd0, sector 0



ls /etc/apt/sources.list.d



ls /etc/apt/preferences.d



sources.list.d et preferences.d ne retournent pas de contenu.

J'ai essayé toutes sortes de choses mais, à présent, je me sens dépassé.

Qu'est-ce que je devrais faire? Comment solutionner ce problème?

Gérard

Dernière modification par gtalbot (08-04-2019 19:49:54)


J'utilise Debian (buster) 10.1 avec KDE Plasma 5.14.5

Hors ligne

#2 07-04-2019 22:48:35

Beta-Pictoris
Membre
Lieu : Angers
Distrib. : Buster
Inscription : 12-08-2015

Re : [Résolu] paquet icedtea-netx en conflit avec openjdk-6-jre

Que donne ?

apt-mark showhold

Dernière modification par Beta-Pictoris (07-04-2019 22:54:44)

Hors ligne

#3 07-04-2019 23:13:51

gtalbot
Membre
Lieu : Sherbrooke QC Canada
Distrib. : Debian (buster) 10.1, 64bits
Noyau : 4.19.0-6-amd64
(G)UI : KDE Plasma
Inscription : 26-09-2017

Re : [Résolu] paquet icedtea-netx en conflit avec openjdk-6-jre

apt-mark showhold



ne donne rien en retour.

Dernière modification par gtalbot (08-04-2019 18:01:00)


J'utilise Debian (buster) 10.1 avec KDE Plasma 5.14.5

Hors ligne

#4 08-04-2019 03:45:29

alain65
Membre
Lieu : chelles
Distrib. : Debian GNU/Linux 10
Noyau : Linux 4.19.0-6-amd64 (x86_64)
(G)UI : KDE (kwin)
Inscription : 26-07-2016

Re : [Résolu] paquet icedtea-netx en conflit avec openjdk-6-jre

Bonjour Gtalbot.

gtalbot a écrit :


ne donne rien en retour.

Tant mieux ! smile


Possible que ça vienne d'une dépendance pas à la bonne version (openjdk ?).
Alors envoies ça et dit ce que ça donne!

sudo apt update && sudo apt install -f && sudo apt dist-upgrade

Dernière modification par alain65 (08-04-2019 03:47:30)


In a world without walls and fences, who needs windows and gates?
A computer is like air conditioning - it becomes useless when you open Windows (L.T)
file-R82e72401f1fc045b22e79ab7e9ca81e8
Quelques une de mes machines

Hors ligne

#5 08-04-2019 05:10:16

gtalbot
Membre
Lieu : Sherbrooke QC Canada
Distrib. : Debian (buster) 10.1, 64bits
Noyau : 4.19.0-6-amd64
(G)UI : KDE Plasma
Inscription : 26-09-2017

Re : [Résolu] paquet icedtea-netx en conflit avec openjdk-6-jre

alain65 a écrit :

Bonjour Gtalbot.
Possible que ça vienne d'une dépendance pas à la bonne version (openjdk ?).
Alors envoies ça et dit ce que ça donne!



apt update && apt install -f && apt dist-upgrade



Atteint:1 http://security.debian.org/debian-security stretch/updates InRelease
Ign:2 http://ftp.ca.debian.org/debian stretch InRelease              
Atteint:3 http://security.debian.org stretch/updates InRelease                                                      
Réception de:4 http://ftp.ca.debian.org/debian stretch-updates InRelease [91,0 kB]                                  
Réception de:5 http://deb.debian.org/debian stretch-backports InRelease [91,9 kB]                
Réception de:6 http://ftp.ca.debian.org/debian stretch-proposed-updates InRelease [101 kB]      
Atteint:7 http://ftp.ca.debian.org/debian stretch Release      
284 ko réceptionnés en 0s (319 ko/s)                          
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
1 package can be upgraded. Run 'apt list --upgradable' to see it.
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 1 non mis à jour.
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
Les paquets suivants ont été conservés :
  icedtea-netx
0 mis à jour, 0 nouvellement installés, 0 à enlever et 1 non mis à jour.



Gérard


J'utilise Debian (buster) 10.1 avec KDE Plasma 5.14.5

Hors ligne

#6 08-04-2019 05:24:37

gtalbot
Membre
Lieu : Sherbrooke QC Canada
Distrib. : Debian (buster) 10.1, 64bits
Noyau : 4.19.0-6-amd64
(G)UI : KDE Plasma
Inscription : 26-09-2017

Re : [Résolu] paquet icedtea-netx en conflit avec openjdk-6-jre

J'ai regardé avec mon gestionnaire de paquets ce qui est connu pour le paquet icedtea-netx:

Version installée: 1.6.2-3.1+deb9u1

Détails techniques
- - - - - - - - - - - -
Mainteneur: OpenJDK Team <openjdk@lists.launchpad.net>
Catégorie: Langage de programmation Java
Paquet de source: icedtea-web
Origine: Debian
Composant: Main

Dépendances de la version actuelle
- - - - - - - - - - - - - - - - - - - - - - - -
Est en conflit avec: openjdk-6-jre
Est en conflit avec: openjdk-6-jre-headless
Remplace: icedtea-netx (< 1.2~)
Remplace: icedtea-plugin (1.1.2-1~)
Remplace: openjdk-6-jre
Remplace: openjdk-6-jre-headless

Il semble que le paquet LibreOffice (1:5.2.7-1+deb9u5) utilise openjdk-6-jre:
"openjdk-6-jre | gcj-jre | java5-runtime: Java Runtime Environment for use with LibreOffice"

Gérard

J'utilise Debian (buster) 10.1 avec KDE Plasma 5.14.5

Hors ligne

#7 08-04-2019 06:32:23

alain65
Membre
Lieu : chelles
Distrib. : Debian GNU/Linux 10
Noyau : Linux 4.19.0-6-amd64 (x86_64)
(G)UI : KDE (kwin)
Inscription : 26-07-2016

Re : [Résolu] paquet icedtea-netx en conflit avec openjdk-6-jre

[barre] Ha ben voila, c'était bien openjdk, comme je le subodorais. [/barre]
Ton libre office il vient des dépots "normaux" ?
Parce que si l'un (icedtea) et l'autre (libreoffice) veulent des versions différentes, tu ne vas pas t'en sortir sad

[edit] oui il vient des dépots "normaux" , j'avais lu en diago roll D'autant plus que dans les propriétés de
icedtea-netx, j'ai la même chose que toi..... Bon faut chercher ailleurs alors...
Et un :

sudo apt-get install --reinstall icedtea-netx


?
Tu as essayé?

Dernière modification par alain65 (08-04-2019 06:47:02)


In a world without walls and fences, who needs windows and gates?
A computer is like air conditioning - it becomes useless when you open Windows (L.T)
file-R82e72401f1fc045b22e79ab7e9ca81e8
Quelques une de mes machines

Hors ligne

#8 08-04-2019 17:59:32

gtalbot
Membre
Lieu : Sherbrooke QC Canada
Distrib. : Debian (buster) 10.1, 64bits
Noyau : 4.19.0-6-amd64
(G)UI : KDE Plasma
Inscription : 26-09-2017

Re : [Résolu] paquet icedtea-netx en conflit avec openjdk-6-jre

alain65 a écrit :

Parce que si l'un (icedtea) et l'autre (libreoffice) veulent des versions différentes, tu ne vas pas t'en sortir sad



Mon LibreOffice n'utilise que openjdk-8-jre selon mon gestionnaire de paquets et selon LibreOffice
(Outils > Options... > LibreOffice > Avancé ) mais pas openjdk-6-jre .

alain65 a écrit :


[edit] oui il vient des dépots "normaux" , j'avais lu en diago roll D'autant plus que dans les propriétés de
icedtea-netx, j'ai la même chose que toi..... Bon faut chercher ailleurs alors...
Et un :

sudo apt-get install --reinstall icedtea-netx


?
Tu as essayé?



apt-get install --reinstall icedtea-netx


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Les paquets suivants seront ENLEVÉS :
  default-java-plugin icedtea-8-plugin
Les paquets suivants seront mis à jour :
  icedtea-netx
1 mis à jour, 0 nouvellement installés, 2 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 34,9 ko dans les archives.
Après cette opération, 655 ko d'espace disque seront libérés.
Souhaitez-vous continuer ? [O/n]
Réception de:1 http://ftp.ca.debian.org/debian stretch-proposed-updates/main amd64 icedtea-netx amd64 1.6.2-3.1+deb9u1 [34,9 kB]
34,9 ko réceptionnés en 0s (245 ko/s)
Lecture des fichiers de modifications (« changelog »)... Terminé
(Lecture de la base de données... 290869 fichiers et répertoires déjà installés.)
Suppression de default-java-plugin (2:1.8-58) ...
Suppression de icedtea-8-plugin:amd64 (1.6.2-3.1) ...
(Lecture de la base de données... 290865 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../icedtea-netx_1.6.2-3.1+deb9u1_amd64.deb ...
Dépaquetage de icedtea-netx:amd64 (1.6.2-3.1+deb9u1) sur (1.6.2-3.1) ...
Paramétrage de icedtea-netx:amd64 (1.6.2-3.1+deb9u1) ...
 



Tout semble en ordre maintenant et tout semble fonctionner correctement.

Merci énormément Alain!! smile

Gérard


J'utilise Debian (buster) 10.1 avec KDE Plasma 5.14.5

Hors ligne

#9 08-04-2019 19:48:55

gtalbot
Membre
Lieu : Sherbrooke QC Canada
Distrib. : Debian (buster) 10.1, 64bits
Noyau : 4.19.0-6-amd64
(G)UI : KDE Plasma
Inscription : 26-09-2017

Re : [Résolu] paquet icedtea-netx en conflit avec openjdk-6-jre

alain65 a écrit :

Possible que ça vienne d'une dépendance pas à la bonne version (openjdk ?).



C'est exactement ce qui semble s'être passé.

Avant la réinstallation du paquet icedtea-netx, mon gestionnaire de paquets concernant le paquet icedtea-netx donnait ceci:

Dépendances de la version actuelle
- - - - - - - - - - - - - - - - - - - - - - - -
Est en conflit avec: openjdk-6-jre
Est en conflit avec: openjdk-6-jre-headless
Remplace: icedtea-netx (< 1.2~)
Remplace: icedtea-plugin (1.1.2-1~)
Remplace: openjdk-6-jre
Remplace: openjdk-6-jre-headless

Après sa réinstallation, mon gestionnaire de paquets donne ceci:

Dépendances de la version actuelle
- - - - - - - - - - - - - - - - - - - - - - - -
Dépend: openjdk-8-jre
Dépend: icedtea-netx-common (>= 1.6.2-3.1+deb9u1)
Est en conflit avec: openjdk-6-jre
Est en conflit avec: openjdk-6-jre-headless
Remplace: openjdk-6-jre
Remplace: openjdk-6-jre-headless

Je vais ré-éditer l'intitulé de ce fil de discussion.

Gérard


J'utilise Debian (buster) 10.1 avec KDE Plasma 5.14.5

Hors ligne

#10 09-04-2019 08:52:54

alain65
Membre
Lieu : chelles
Distrib. : Debian GNU/Linux 10
Noyau : Linux 4.19.0-6-amd64 (x86_64)
(G)UI : KDE (kwin)
Inscription : 26-07-2016

Re : [Résolu] paquet icedtea-netx en conflit avec openjdk-6-jre

Salut Gérard.

gtalbot a écrit :


Merci énormément Alain!! smile



De rien ops.gif smile
Je suis content que ça ait fonctionné, d'autant que j'y croyait qu'a moitié, cette histoire de dépendances me "turlupinait". hmm

Bonne continuation wink

Dernière modification par alain65 (09-04-2019 08:53:35)


In a world without walls and fences, who needs windows and gates?
A computer is like air conditioning - it becomes useless when you open Windows (L.T)
file-R82e72401f1fc045b22e79ab7e9ca81e8
Quelques une de mes machines

Hors ligne

#11 09-04-2019 18:41:22

gtalbot
Membre
Lieu : Sherbrooke QC Canada
Distrib. : Debian (buster) 10.1, 64bits
Noyau : 4.19.0-6-amd64
(G)UI : KDE Plasma
Inscription : 26-09-2017

Re : [Résolu] paquet icedtea-netx en conflit avec openjdk-6-jre

Hier, j'ai fait

apt-get autoremove


et les paquets icedtea-netx et icedtea-netx-common ont été supprimés. Donc, j'en
conclus que ces 2 paquets causaient des conflits et n'étaient même pas utiles ou nécessaires sur mon système.

man apt-get


indique

"Avec la commande autoremove, apt-get supprime les paquets installés dans le but de satisfaire
les dépendances d'autres paquets et qui ne sont plus nécessaires."



Gérard


J'utilise Debian (buster) 10.1 avec KDE Plasma 5.14.5

Hors ligne

Pied de page des forums